Module jdk.compiler
Package com.sun.source.tree

# Interface RequiresTree

All Superinterfaces:
  `DirectiveTree`, `Tree`

    public interface RequiresTree
    extends DirectiveTree

A tree node for a 'requires' directive in a module declaration. For example:

        requires module-name;
        requires static module-name;
        requires transitive module-name;

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getModuleName()` | Returns the name of the module that is required.
`boolean` | `isStatic()` | Returns true if this is a "requires static" directive.
`boolean` | `isTransitive()` | Returns true if this is a "requires transitive" directive.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### isStatic

boolean isStatic()
Returns true if this is a "requires static" directive.

Returns:
  true if this is a "requires static" directive

### isTransitive

boolean isTransitive()
Returns true if this is a "requires transitive" directive.

Returns:
  true if this is a "requires transitive" directive

### getModuleName

ExpressionTree getModuleName()
Returns the name of the module that is required.

Returns:
  the name of the module that is required